--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Prepend one or more Resources to the Collection
- !ruby/struct:SM::Flow::P 
  body: This should prepend one or more Resources to the Collection and relate each to the Collection.
- !ruby/struct:SM::Flow::P 
  body: "@param [Enumerable] *resources"
- !ruby/struct:SM::Flow::VERB 
  body: "  The Resources to prepend\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [self]"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#unshift
is_singleton: false
name: unshift
params: (*resources)
visibility: public
